[cig-commits] r13845 - cs/cigma/trunk

luis at geodynamics.org luis at geodynamics.org
Mon Jan 12 14:10:15 PST 2009


Author: luis
Date: 2009-01-12 14:10:15 -0800 (Mon, 12 Jan 2009)
New Revision: 13845

Modified:
   cs/cigma/trunk/quick.sh
Log:
Updated tests in quick.sh script to make sure we can read CUBIT mesh files.

Modified: cs/cigma/trunk/quick.sh
===================================================================
--- cs/cigma/trunk/quick.sh	2009-01-12 22:10:14 UTC (rev 13844)
+++ cs/cigma/trunk/quick.sh	2009-01-12 22:10:15 UTC (rev 13845)
@@ -5,16 +5,20 @@
 
 
 ###############################################################################
+#
+# Shortcuts to common directories
+#
 
-
 C=$HOME/cigma
 T=$C/tests
 D=$T/data
 
 
 ###############################################################################
+#
+# Some default paths
+#
 
-
 A=$D/brick1
 B=$D/brick2
 
@@ -24,8 +28,10 @@
 
 
 ###############################################################################
+#
+# Some basic CLI parsing for running a specific test
+#
 
-
 t=0
 while getopts 'ht:' OPTION; do
     case $OPTION in
@@ -46,8 +52,11 @@
 
 
 ###############################################################################
+#
+# Actual list of tests. The shell variable $t should be set above, from the
+# command line options.
+#
 
-
 #t=1000
 if [ $t = 1000 ]; then
     set -x
@@ -113,7 +122,31 @@
     exit $?
 fi
 
+#t=1005
+if [ $t = 1005 ]; then
+    set -x
+    A=$D/brick1
+    B=$D/brick2
+    cigma extract \
+        --mesh      $A/brick1.exo \
+        --output    foo.dat \
+        $*
+    exit $?
+fi
 
+#t=1006
+if [ $t = 1006 ]; then
+    set -x
+    A=$D/brick1
+    B=$D/brick2
+    cigma extract \
+        --mesh      $B/brick2.exo \
+        --output    foo.dat \
+        $*
+    exit $?
+fi
+
+
 #t=1020
 if [ $t = 1020 ]; then
     set -x



More information about the CIG-COMMITS mailing list